Bug 1200444 - TypeError: can't subtract offset-naive and offset-aware datetimes
Summary: TypeError: can't subtract offset-naive and offset-aware datetimes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:18c2bdfad562a77196c860c686c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 15:11 UTC by Jiri Konecny
Modified: 2015-04-04 17:52 UTC (History)
4 users (show)

Fixed In Version: anaconda-22.20.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-04 17:52:35 UTC


Attachments (Terms of Use)
File: anaconda-tb (261.78 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: anaconda.log (9.56 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: dnf.log (7.15 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: dnf.rpm.log (147 bytes, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: environ (492 bytes, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: ks.cfg (934 bytes, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: lsblk_output (1.15 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: nmcli_dev_list (1.51 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: os_info (447 bytes, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: program.log (21.29 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: storage.log (56.80 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: syslog (76.83 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: ifcfg.log (1.59 KB, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details
File: packaging.log (161 bytes, text/plain)
2015-03-10 15:11 UTC, Jiri Konecny
no flags Details

Description Jiri Konecny 2015-03-10 15:11:02 UTC
Description of problem:
It's Kickstart installation.

When the installation started I went to the Time&Date spoke and set the Region.

Version-Release number of selected component:
anaconda-23.1-1

The following was filed automatically by anaconda:
anaconda 23.1-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/isys/__init__.py", line 138, in set_system_date_time
    timestamp = (set_date - epoch).total_seconds()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/datetime_spoke.py", line 769, in _save_system_time
    isys.set_system_date_time(year, month, day, hours, minutes, tz=self._tz)
TypeError: can't subtract offset-naive and offset-aware datetimes

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   initrd=/test/jk/fedora/initrd.img root=live:http://cobra02/trees/jk/my_comps_squashfs.img nokill resolution=1024x768 ks=http://cobra02/ks/jk/testing.ks BOOT_IMAGE=/test/jk/fedora/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.0-0.rc1.git2.1.fc23.x86_64
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Jiri Konecny 2015-03-10 15:11:06 UTC
Created attachment 999996 [details]
File: anaconda-tb

Comment 2 Jiri Konecny 2015-03-10 15:11:07 UTC
Created attachment 999997 [details]
File: anaconda.log

Comment 3 Jiri Konecny 2015-03-10 15:11:08 UTC
Created attachment 999998 [details]
File: dnf.log

Comment 4 Jiri Konecny 2015-03-10 15:11:10 UTC
Created attachment 999999 [details]
File: dnf.rpm.log

Comment 5 Jiri Konecny 2015-03-10 15:11:11 UTC
Created attachment 1000000 [details]
File: environ

Comment 6 Jiri Konecny 2015-03-10 15:11:12 UTC
Created attachment 1000001 [details]
File: ks.cfg

Comment 7 Jiri Konecny 2015-03-10 15:11:13 UTC
Created attachment 1000002 [details]
File: lsblk_output

Comment 8 Jiri Konecny 2015-03-10 15:11:14 UTC
Created attachment 1000003 [details]
File: nmcli_dev_list

Comment 9 Jiri Konecny 2015-03-10 15:11:15 UTC
Created attachment 1000004 [details]
File: os_info

Comment 10 Jiri Konecny 2015-03-10 15:11:17 UTC
Created attachment 1000005 [details]
File: program.log

Comment 11 Jiri Konecny 2015-03-10 15:11:19 UTC
Created attachment 1000006 [details]
File: storage.log

Comment 12 Jiri Konecny 2015-03-10 15:11:20 UTC
Created attachment 1000007 [details]
File: syslog

Comment 13 Jiri Konecny 2015-03-10 15:11:22 UTC
Created attachment 1000008 [details]
File: ifcfg.log

Comment 14 Jiri Konecny 2015-03-10 15:11:23 UTC
Created attachment 1000009 [details]
File: packaging.log

Comment 15 Fedora Update System 2015-03-26 19:53:48 UTC
anaconda-22.20.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/anaconda-22.20.7-1.fc22

Comment 16 Fedora Update System 2015-03-29 05:04:01 UTC
Package anaconda-22.20.7-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.7-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4952/anaconda-22.20.7-1.fc22
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-03-31 21:42:46 UTC
Package anaconda-22.20.7-1.fc22, libblockdev-0.8-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.7-1.fc22 libblockdev-0.8-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4952/libblockdev-0.8-1.fc22,anaconda-22.20.7-1.fc22
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-04-04 17:52:35 UTC
anaconda-22.20.7-1.fc22, libblockdev-0.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.